<script src="//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/moment.js/2.8.4/moment.min.js"></script>
<script src="//cdn.datatables.net/1.10.18/js/dataTables.bootstrap.min.js"></script>
<script src="//cdn.datatables.net/plug-ins/1.10.19/sorting/datetime-moment.js"></script>
<script>
    // Define our used dates formats
    $.fn.dataTable.moment('DD/MM/YYYY');
    $.fn.dataTable.moment('DD/MM/YYYY HH:mm');

    {% set dataTableOptions = dataTableOptions|default({}) %}

    $(function () {

        {% set paging = false %}
        {% if is_granted('ROLE_ADMIN') %}
            {% set paging = true %}
        {% endif %}

        {% set dataTableOptions = dataTableOptions|merge({
            language: {
                sProcessing:     "Traitement en cours...",
                sSearch:         "Rechercher&nbsp;:",
                sLengthMenu:     "Afficher _MENU_ &eacute;l&eacute;ments",
                sInfo:           "Affichage de l'&eacute;l&eacute;ment _START_ &agrave; _END_ sur _TOTAL_ &eacute;l&eacute;ments",
                sInfoEmpty:      "Affichage de l'&eacute;l&eacute;ment 0 &agrave; 0 sur 0 &eacute;l&eacute;ment",
                sInfoFiltered:   "(filtr&eacute; de _MAX_ &eacute;l&eacute;ments au total)",
                sInfoPostFix:    "",
                sLoadingRecords: "Chargement en cours...",
                sZeroRecords:    "Aucun &eacute;l&eacute;ment &agrave; afficher",
                sEmptyTable:     "Aucune donn&eacute;e disponible dans le tableau",
                oPaginate: {
                    sFirst:      "Premier",
                    sPrevious:   "Pr&eacute;c&eacute;dent",
                    sNext:       "Suivant",
                    sLast:       "Dernier"
                },
                oAria: {
                    sSortAscending:  ": activer pour trier la colonne par ordre croissant",
                    sSortDescending: ": activer pour trier la colonne par ordre d&eacute;croissant"
                },
                select: {
                    rows: {
                        _: "%d lignes séléctionnées",
                        0: "Aucune ligne séléctionnée",
                        1: "1 ligne séléctionnée"
                    }
                }
            },
            paging      : paging,
            lengthChange: false,
            searching   : true,
            ordering    : true,
            info        : false,
            autoWidth   : false,
        })%}

        $('#table').DataTable({{ dataTableOptions|json_encode|raw }});
    });
</script>
